// File: int_vect.h
//
// Description:  smart int vector
//
// Copyright 1992, 1994 by Mark Watson Associates
//
//       No binary rights reserved: this software library may
//       be used in compiled form without restrictions.  All
//       source rights reserved: Source code to the GUI library
//       can not be distributed (on bulletin boards, or as part
//       of shareware or commercial products) without written
//       permission.
//

#ifndef __int_vect
#define __int_vect

#include "applib.h"

class int_vect {
  public:
    int num_elements;
    int_vect(void);
    int_vect (int n);
    int_vect(int_vect &v);
    int_vect(int a[], int n);
   ~int_vect() { delete p; }
    int & operator [] (int i);  // range check safeguards
    void save(char *filename);
    void restore(char *filename);
 private:
    int *p;
    int size;
    void grow(int new_size);
    int ub() { return (size - 1); }
};

#endif
